Bug 12671 - При ошибке в /etc/exports не экспортируется ничего
: При ошибке в /etc/exports не экспортируется ничего
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/unfs3)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-09-02 21:12 by
Modified: 2007-12-06 00:49 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-09-02 21:12:07
Если в /etc/exports перечислен хоть один путь, не существующий реально, unfsd
отказывается экспортировать вообще что-либо.
# unfsd -d
UNFS3 unfsd 0.9.17 (C) 2006, Pascal Schmidt <unfs3-server@ewetel.net>
realpath for /home/mak/hsh_kde/repo/ failed
syntax error in '/etc/exports', exporting nothing

При этом код возврата нулевой, и в логах совершенно пусто.
------- Comment #1 From 2007-09-03 15:29:54 -------
Написал автору, попросил более внятную диагностику в syslog/stderr и/или ключик
для проверки конфигурации.
------- Comment #2 From 2007-09-03 15:30:35 -------
reassign
------- Comment #3 From 2007-11-11 00:24:37 -------
Ой, забыл баг закрыть.

* Wed Sep 05 2007 Michael Shigorin <mike@altlinux> 0.9.18-alt1
- 0.9.18 (adds -T switch to test /etc/exports validity)
- updated initscript to take advantage of this new feature
- pidfile patch removed (merged upstream)
- package description modified a bit

Спасибо, что обратили внимание -- схожее изменение было сделано или исправлено
ещё в паре пакетов.